/*
 *
 * File     :
 *
 * Purpose  :
 *
 *
 * Author   :
 *
 *
 *
 * Mod Date :
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it with the sole restriction that:
 * You must cause any work that you distribute or publish, that in
 * whole or in part contains or is derived from the Program or any
 * part thereof, to be licensed as a whole at no charge to all third parties.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 *
 */
#include <iostream>
#include <string.h>
#include "Field.h"

Field::Field()
{
  strcpy(p_name,"");
  p_start_position = 0;
  p_number_bytes = 0;
}


Field::Field(Field &oldField) {
  strcpy(p_name, oldField.p_name);
  p_start_position = oldField.p_start_position;
  p_number_bytes = oldField.p_number_bytes;
  p_data_type = oldField.p_data_type;
}


Field Field::operator=(Field param) {
  strcpy(p_name, param.p_name);
  p_start_position = param.p_start_position;
  p_number_bytes = param.p_number_bytes;
  p_data_type = param.p_data_type;
  return *this;
}

Field::~Field()
{

}
